org.springframework.data.repository.config

## Class RepositoryBeanDefinitionParser

- java.lang.Object
- - org.springframework.data.repository.config.RepositoryBeanDefinitionParser

All Implemented Interfaces:
  BeanDefinitionParser

    public class RepositoryBeanDefinitionParser
    extends Object
    implements BeanDefinitionParser

Base class to implement repository namespaces. These will typically consist of a main XML element potentially having child elements. The parser will wrap the XML element into a `GlobalRepositoryConfigInformation` object and allow either manual configuration or automatic detection of repository interfaces.

Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`RepositoryBeanDefinitionParser(RepositoryConfigurationExtension extension)` Creates a new `RepositoryBeanDefinitionParser` using the given `RepositoryConfigurationExtension`.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static boolean` `hasBean(Class<?> type, BeanDefinitionRegistry registry)` Returns whether the given `BeanDefinitionRegistry` already contains a bean of the given type assuming the bean name has been autogenerated.
`BeanDefinition` `parse(Element element, ParserContext parser)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryBeanDefinitionParser

    public RepositoryBeanDefinitionParser(RepositoryConfigurationExtension extension)

Creates a new `RepositoryBeanDefinitionParser` using the given `RepositoryConfigurationExtension`.

Parameters:
  `extension` - must not be null.

### Method Detail

#### parse

    @Nullable
    public BeanDefinition parse(Element element,
                                          ParserContext parser)

Specified by:
  `parse` in interface `BeanDefinitionParser`

#### hasBean

    protected static boolean hasBean(Class<?> type,
                                     BeanDefinitionRegistry registry)

Returns whether the given `BeanDefinitionRegistry` already contains a bean of the given type assuming the bean name has been autogenerated.

Parameters:
  `type` -
  `registry` -
Returns: